<?php 
// generated from /resources/views/vendor/survloop/admin/db/export-laravel-gen-migration.blade.php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class OPCreateTables extends Migration
{
    /**
     * Run the migrations.
     *
     * @return  void
     */
    public function up()
    {
        Schema::create('OP_Complaints', function(Blueprint $table)
        {
            $table->increments('ComID');
            $table->integer('ComStatus')->unsigned()->nullable();
            $table->index('ComStatus');
            $table->integer('ComType')->unsigned()->nullable();
            $table->index('ComType');
            $table->boolean('ComIsCompliment')->nullable();
            $table->string('ComSubmissionProgress')->nullable();
            $table->string('ComTreeVersion', 50)->nullable();
            $table->string('ComABtests', 50)->nullable();
            $table->integer('ComIncidentID')->unsigned()->nullable();
            $table->index('ComIncidentID');
            //$table->foreign('ComIncidentID')->references('IncID')->on('OP_Incidents');
            $table->integer('ComAdminID')->unsigned()->nullable();
            $table->index('ComAdminID');
            //$table->foreign('ComAdminID')->references('AdmID')->on('OP_Administrators');
            $table->integer('ComPrivacy')->unsigned()->nullable();
            $table->string('ComAwardMedallion', 10)->nullable();
            $table->longText('ComSummary')->nullable();
            $table->longText('ComSummaryPublic')->nullable();
            $table->string('ComHeadline')->nullable();
            $table->char('ComTriedOtherWays', 1)->nullable();
            $table->string('ComTriedOtherWaysDesc')->nullable();
            $table->char('ComAttorneyHas', 1)->nullable();
            $table->char('ComAttorneyOKedOPC', 1)->nullable();
            $table->char('ComAttorneyWant', 1)->nullable();
            $table->char('ComAnyoneCharged', 1)->nullable();
            $table->char('ComAllChargesResolved', 1)->nullable();
            $table->integer('ComUnresolvedChargesActions')->unsigned()->nullable();
            $table->char('ComLegalAidHelp', 1)->nullable();
            $table->char('ComGovtInvestigation', 1)->nullable();
            $table->string('ComGovtInvestigationWhyNot')->nullable();
            $table->string('ComHowHear')->nullable();
            $table->string('ComSlug', 255)->nullable();
            $table->char('ComOfficerDisciplined', 1)->nullable();
            $table->integer('ComOfficerDisciplineType')->unsigned()->nullable();
            $table->longText('ComMediaLinks')->nullable();
            $table->integer('ComAttID')->unsigned()->nullable();
            $table->index('ComAttID');
            //$table->foreign('ComAttID')->references('PartID')->on('OP_Partners');
            $table->longText('ComNotes')->nullable();
            $table->dateTime('ComRecordSubmitted')->nullable();
            $table->index('ComRecordSubmitted');
            $table->integer('ComNumberOfSessions')->nullable();
            $table->integer('ComSessionSeconds')->nullable();
            $table->string('ComHoneyPot')->nullable();
            $table->boolean('ComIsMobile')->nullable();
            $table->string('ComUniqueStr', 20)->nullable();
            $table->string('ComIPaddy')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Incidents', function(Blueprint $table)
        {
            $table->increments('IncID');
            $table->integer('IncComplaintID')->unsigned()->nullable();
            $table->index('IncComplaintID');
            //$table->foreign('IncComplaintID')->references('ComID')->on('OP_Complaints');
            $table->string('IncAddress')->nullable();
            $table->string('IncAddress2')->nullable();
            $table->string('IncAddressCity')->nullable();
            $table->string('IncAddressState', 2)->nullable();
            $table->string('IncAddressZip', 10)->nullable();
            $table->double('IncAddressLat')->nullable();
            $table->double('IncAddressLng')->nullable();
            $table->string('IncLandmarks')->nullable();
            $table->dateTime('IncTimeStart')->nullable();
            $table->dateTime('IncTimeEnd')->nullable();
            $table->integer('IncDuration')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Scenes', function(Blueprint $table)
        {
            $table->increments('ScnID');
            $table->integer('ScnComplaintID')->unsigned()->nullable();
            $table->index('ScnComplaintID');
            //$table->foreign('ScnComplaintID')->references('ComID')->on('OP_Complaints');
            $table->char('ScnIsVehicle', 1)->nullable();
            $table->integer('ScnType')->unsigned()->nullable();
            $table->longText('ScnDescription')->nullable();
            $table->char('ScnForcibleEntry', 1)->nullable();
            $table->char('ScnCCTV', 1)->nullable();
            $table->longText('ScnCCTVDesc')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_AllegSilver', function(Blueprint $table)
        {
            $table->increments('AlleSilID');
            $table->integer('AlleSilComplaintID')->unsigned()->nullable();
            //$table->foreign('AlleSilComplaintID')->references('ComID')->on('OP_Complaints');
            $table->char('AlleSilStopYN', 1)->nullable();
            $table->char('AlleSilStopWrongful', 1)->nullable();
            $table->char('AlleSilOfficerID', 1)->nullable();
            $table->char('AlleSilOfficerRefuseID', 1)->nullable();
            $table->char('AlleSilSearchYN', 1)->nullable();
            $table->char('AlleSilSearchWrongful', 1)->nullable();
            $table->char('AlleSilForceYN', 1)->nullable();
            $table->char('AlleSilForceUnreason', 1)->nullable();
            $table->char('AlleSilPropertyYN', 1)->nullable();
            $table->char('AlleSilPropertyWrongful', 1)->nullable();
            $table->char('AlleSilArrestYN', 1)->nullable();
            $table->char('AlleSilArrestWrongful', 1)->nullable();
            $table->char('AlleSilArrestRetaliatory', 1)->nullable();
            $table->char('AlleSilArrestMiranda', 1)->nullable();
            $table->char('AlleSilCitationYN', 1)->nullable();
            $table->char('AlleSilCitationExcessive', 1)->nullable();
            $table->char('AlleSilProcedure', 1)->nullable();
            $table->char('AlleSilNeglectDuty', 1)->nullable();
            $table->char('AlleSilBias', 1)->nullable();
            $table->char('AlleSilSexualAssault', 1)->nullable();
            $table->integer('AlleSilIntimidatingWeapon')->unsigned()->nullable();
            $table->integer('AlleSilIntimidatingWeaponType')->unsigned()->nullable();
            $table->char('AlleSilRetaliation', 1)->nullable();
            $table->char('AlleSilUnbecoming', 1)->nullable();
            $table->char('AlleSilDiscourteous', 1)->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Allegations', function(Blueprint $table)
        {
            $table->increments('AlleID');
            $table->integer('AlleComplaintID')->unsigned()->nullable();
            $table->index('AlleComplaintID');
            //$table->foreign('AlleComplaintID')->references('ComID')->on('OP_Complaints');
            $table->integer('AlleType')->unsigned()->nullable();
            $table->integer('AlleEventSequenceID')->unsigned()->nullable();
            //$table->foreign('AlleEventSequenceID')->references('EveID')->on('OP_EventSequence');
            $table->longText('AlleDescription')->nullable();
            $table->integer('AlleFindings')->unsigned()->nullable();
            $table->timestamps();
        });
        Schema::create('OP_EventSequence', function(Blueprint $table)
        {
            $table->increments('EveID');
            $table->integer('EveComplaintID')->unsigned()->nullable();
            $table->index('EveComplaintID');
            //$table->foreign('EveComplaintID')->references('ComID')->on('OP_Complaints');
            $table->integer('EveOrder')->nullable();
            $table->string('EveType')->nullable();
            $table->char('EveUserFinished', 1)->default('N')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Stops', function(Blueprint $table)
        {
            $table->increments('StopID');
            $table->integer('StopEventSequenceID')->unsigned()->nullable();
            //$table->foreign('StopEventSequenceID')->references('EveID')->on('OP_EventSequence');
            $table->longText('StopStatedReasonDesc')->nullable();
            $table->char('StopSubjectAskedToLeave', 1)->nullable();
            $table->longText('StopSubjectStatementsDesc')->nullable();
            $table->char('StopEnterPrivateProperty', 1)->nullable();
            $table->string('StopEnterPrivatePropertyDesc')->nullable();
            $table->char('StopPermissionEnter', 1)->nullable();
            $table->char('StopPermissionEnterGranted', 1)->nullable();
            $table->char('StopRequestID', 1)->nullable();
            $table->char('StopRefuseID', 1)->nullable();
            $table->char('StopRequestOfficerID', 1)->nullable();
            $table->string('StopCitationNumber', 25)->nullable();
            $table->char('StopOfficerRefuseID', 1)->nullable();
            $table->char('StopSubjectFrisk', 1)->nullable();
            $table->char('StopSubjectHandcuffed', 1)->nullable();
            $table->char('StopStopSubjectHandcuffInjYN', 1)->nullable();
            $table->integer('StopSubjectHandcuffInjury')->unsigned()->nullable();
            //$table->foreign('StopSubjectHandcuffInjury')->references('InjID')->on('OP_Injuries');
            $table->char('StopGivenCitation', 1)->nullable();
            $table->string('StopChargesOther')->nullable();
            $table->char('StopGivenWarning', 1)->nullable();
            $table->dateTime('StopTimeStart')->nullable();
            $table->dateTime('StopTimeEnd')->nullable();
            $table->integer('StopDuration')->nullable();
            $table->char('StopAllegWrongfulStop', 1)->nullable();
            $table->char('StopAllegWrongfulEntry', 1)->nullable();
            $table->char('StopAllegRetaliatoryCharges', 1)->nullable();
            $table->timestamps();
        });
        Schema::create('OP_StopReasons', function(Blueprint $table)
        {
            $table->increments('StopReasID');
            $table->integer('StopReasStopID')->unsigned()->nullable();
            //$table->foreign('StopReasStopID')->references('StopID')->on('OP_Stops');
            $table->integer('StopReasReason')->unsigned()->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Searches', function(Blueprint $table)
        {
            $table->increments('SrchID');
            $table->integer('SrchEventSequenceID')->unsigned()->nullable();
            //$table->foreign('SrchEventSequenceID')->references('EveID')->on('OP_EventSequence');
            $table->char('SrchStatedReason', 1)->nullable();
            $table->longText('SrchStatedReasonDesc')->nullable();
            $table->char('SrchOfficerRequest', 1)->nullable();
            $table->longText('SrchOfficerRequestDesc')->nullable();
            $table->char('SrchSubjectConsent', 1)->nullable();
            $table->longText('SrchSubjectSay')->nullable();
            $table->char('SrchOfficerThreats', 1)->nullable();
            $table->longText('SrchOfficerThreatsDesc')->nullable();
            $table->char('SrchStrip', 1)->nullable();
            $table->string('SrchStripSearchDesc')->nullable();
            $table->char('SrchK9sniff', 1)->nullable();
            $table->char('SrchContrabandDiscovered', 1)->nullable();
            $table->char('SrchOfficerWarrant', 1)->nullable();
            $table->longText('SrchOfficerWarrantSay')->nullable();
            $table->char('SrchSeized', 1)->nullable();
            $table->longText('SrchSeizedDesc')->nullable();
            $table->char('SrchDamage', 1)->nullable();
            $table->longText('SrchDamageDesc')->nullable();
            $table->char('SrchAllegWrongfulSearch', 1)->nullable();
            $table->char('SrchAllegWrongfulProperty', 1)->nullable();
            $table->timestamps();
        });
        Schema::create('OP_SearchContra', function(Blueprint $table)
        {
            $table->increments('SrchConID');
            $table->integer('SrchConSearchID')->unsigned()->nullable();
            //$table->foreign('SrchConSearchID')->references('SrchID')->on('OP_Searches');
            $table->integer('SrchConType')->unsigned()->nullable();
            $table->timestamps();
        });
        Schema::create('OP_SearchSeize', function(Blueprint $table)
        {
            $table->increments('SrchSeizID');
            $table->integer('SrchSeizSearchID')->unsigned()->nullable();
            //$table->foreign('SrchSeizSearchID')->references('SrchID')->on('OP_Searches');
            $table->integer('SrchSeizType')->unsigned()->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Arrests', function(Blueprint $table)
        {
            $table->increments('ArstID');
            $table->integer('ArstEventSequenceID')->unsigned()->nullable();
            //$table->foreign('ArstEventSequenceID')->references('EveID')->on('OP_EventSequence');
            $table->char('ArstChargesFiled', 1)->nullable();
            $table->char('ArstStatedReason', 1)->nullable();
            $table->longText('ArstStatedReasonDesc')->nullable();
            $table->char('ArstMiranda', 1)->nullable();
            $table->char('ArstSITA', 1)->nullable();
            $table->string('ArstChargesOther')->nullable();
            $table->char('ArstNoChargesFiled', 1)->nullable();
            $table->char('ArstStrip', 1)->nullable();
            $table->string('ArstStripSearchDesc')->nullable();
            $table->char('ArstAllegWrongfulArrest', 1)->nullable();
            $table->char('ArstAllegRetaliatoryCharges', 1)->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Force', function(Blueprint $table)
        {
            $table->increments('ForID');
            $table->integer('ForVictimUseWeapon')->unsigned()->nullable();
            $table->integer('ForEventSequenceID')->unsigned()->nullable();
            //$table->foreign('ForEventSequenceID')->references('EveID')->on('OP_EventSequence');
            $table->char('ForVictimHadWeapon', 1)->nullable();
            $table->integer('ForVictimWhatWeapon')->unsigned()->nullable();
            $table->char('ForAgainstAnimal', 1)->nullable();
            $table->string('ForAnimalDesc')->nullable();
            $table->integer('ForType')->unsigned()->nullable();
            $table->string('ForTypeOther')->nullable();
            $table->integer('ForGunAmmoType')->unsigned()->nullable();
            $table->string('ForGunDesc')->nullable();
            $table->integer('ForHowManyTimes')->nullable();
            $table->char('ForOrdersBeforeForce', 1)->nullable();
            $table->longText('ForOrdersSubjectResponse')->nullable();
            $table->char('ForChase', 1)->nullable();
            $table->integer('ForChaseType')->nullable();
            $table->char('ForWhileHandcuffed', 1)->nullable();
            $table->char('ForWhileHeldDown', 1)->nullable();
            $table->char('ForOfficerInjured', 1)->nullable();
            $table->string('ForOfficerInjuredDesc')->nullable();
            $table->char('ForAllegUnreasonable', 1)->nullable();
            $table->timestamps();
        });
        Schema::create('OP_ForceSubType', function(Blueprint $table)
        {
            $table->increments('ForceSubID');
            $table->integer('ForceSubForceID')->unsigned()->nullable();
            //$table->foreign('ForceSubForceID')->references('ForID')->on('OP_Force');
            $table->integer('ForceSubType')->unsigned()->nullable();
            $table->timestamps();
        });
        Schema::create('OP_ForceCivBody', function(Blueprint $table)
        {
            $table->increments('ForceCivID');
            $table->integer('ForceCivForceID')->unsigned()->nullable();
            //$table->foreign('ForceCivForceID')->references('ForID')->on('OP_Force');
            $table->integer('ForceCivBodyWeapon')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_BodyParts', function(Blueprint $table)
        {
            $table->increments('BodyID');
            $table->integer('BodyForceID')->unsigned()->nullable();
            //$table->foreign('BodyForceID')->references('ForID')->on('OP_Force');
            $table->integer('BodyInjuryID')->unsigned()->nullable();
            //$table->foreign('BodyInjuryID')->references('InjID')->on('OP_Injuries');
            $table->integer('BodyPart')->unsigned()->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Orders', function(Blueprint $table)
        {
            $table->increments('OrdID');
            $table->integer('OrdEventSequenceID')->unsigned()->nullable();
            //$table->foreign('OrdEventSequenceID')->references('EveID')->on('OP_EventSequence');
            $table->longText('OrdDescription')->nullable();
            $table->char('OrdTroubleUnderYN', 1)->nullable();
            $table->string('OrdTroubleUnderstading')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Charges', function(Blueprint $table)
        {
            $table->increments('ChrgID');
            $table->integer('ChrgArrestID')->unsigned()->nullable();
            //$table->foreign('ChrgArrestID')->references('ArstID')->on('OP_Arrests');
            $table->integer('ChrgStopID')->unsigned()->nullable();
            //$table->foreign('ChrgStopID')->references('StopID')->on('OP_Stops');
            $table->integer('ChrgCharges')->unsigned()->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Injuries', function(Blueprint $table)
        {
            $table->increments('InjID');
            $table->integer('InjSubjectID')->unsigned()->nullable();
            //$table->foreign('InjSubjectID')->references('CivID')->on('OP_Civilians');
            $table->integer('InjType')->unsigned()->nullable();
            $table->integer('InjHowManyTimes')->nullable();
            $table->longText('InjDescription')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_InjuryCare', function(Blueprint $table)
        {
            $table->increments('InjCareID');
            $table->integer('InjCareSubjectID')->unsigned()->nullable();
            //$table->foreign('InjCareSubjectID')->references('CivID')->on('OP_Civilians');
            $table->char('InjCareResultInDeath', 1)->nullable();
            $table->dateTime('InjCareTimeOfDeath')->nullable();
            $table->char('InjCareGotMedical', 1)->nullable();
            $table->string('InjCareHospitalTreated')->nullable();
            $table->string('InjCareDoctorNameFirst')->nullable();
            $table->string('InjCareDoctorNameLast')->nullable();
            $table->string('InjCareDoctorEmail')->nullable();
            $table->string('InjCareDoctorPhone')->nullable();
            $table->char('InjCareEmergencyOnScene', 1)->nullable();
            $table->string('InjCareEmergencyNameFirst')->nullable();
            $table->string('InjCareEmergencyNameLast')->nullable();
            $table->integer('InjCareEmergencyIDnumber')->nullable();
            $table->integer('InjCareEmergencyVehicleNumber')->nullable();
            $table->integer('InjCareEmergencyLicenceNumber')->nullable();
            $table->string('InjCareEmergencyDeptName')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Evidence', function(Blueprint $table)
        {
            $table->increments('EvidID');
            $table->integer('EvidComplaintID')->unsigned()->nullable();
            $table->index('EvidComplaintID');
            //$table->foreign('EvidComplaintID')->references('ComID')->on('OP_Complaints');
            $table->integer('EvidType')->unsigned()->nullable();
            $table->string('EvidPrivacy', 10)->default('Private')->nullable();
            $table->date('EvidDateTime')->nullable();
            $table->string('EvidTitle')->nullable();
            $table->longText('EvidEvidenceDesc')->nullable();
            $table->string('EvidUploadFile')->nullable();
            $table->string('EvidStoredFile', 30)->nullable();
            $table->string('EvidVideoLink')->nullable();
            $table->integer('EvidVideoDuration')->nullable();
            $table->integer('EvidCivilianID')->unsigned()->nullable();
            //$table->foreign('EvidCivilianID')->references('CivID')->on('OP_Civilians');
            $table->integer('EvidDeptID')->unsigned()->nullable();
            $table->index('EvidDeptID');
            //$table->foreign('EvidDeptID')->references('DeptID')->on('OP_Departments');
            $table->integer('EvidSceneID')->unsigned()->nullable();
            //$table->foreign('EvidSceneID')->references('ScnID')->on('OP_Scenes');
            $table->integer('EvidEventSequenceID')->unsigned()->nullable();
            //$table->foreign('EvidEventSequenceID')->references('EveID')->on('OP_EventSequence');
            $table->integer('EvidInjuryID')->unsigned()->nullable();
            //$table->foreign('EvidInjuryID')->references('InjID')->on('OP_Injuries');
            $table->integer('EvidNoteID')->unsigned()->nullable();
            //$table->foreign('EvidNoteID')->references('NoteID')->on('OP_ComplaintNotes');
            $table->timestamps();
        });
        Schema::create('OP_EvidenceTime', function(Blueprint $table)
        {
            $table->increments('EviTimID');
            $table->integer('EviTimAllegationID')->unsigned()->nullable();
            $table->index('EviTimAllegationID');
            //$table->foreign('EviTimAllegationID')->references('AlleID')->on('OP_Allegations');
            $table->integer('EviTimEvidenceID')->unsigned()->default(NULL)->nullable();
            $table->index('EviTimEvidenceID');
            //$table->foreign('EviTimEvidenceID')->references('EvidID')->on('OP_Evidence');
            $table->integer('EviTimTimestamp')->nullable();
            $table->string('EviTimDescription')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Surveys', function(Blueprint $table)
        {
            $table->increments('SurvID');
            $table->integer('SurvComplaintID')->unsigned()->nullable();
            $table->index('SurvComplaintID');
            //$table->foreign('SurvComplaintID')->references('ComID')->on('OP_Complaints');
            $table->integer('SurvAuthUserID')->unsigned()->nullable();
            //$table->foreign('SurvAuthUserID')->references('UserID')->on('OP_Users');
            $table->timestamps();
        });
        Schema::create('OP_ComplaintNotes', function(Blueprint $table)
        {
            $table->increments('NoteID');
            $table->integer('NoteComplaintID')->unsigned()->nullable();
            $table->index('NoteComplaintID');
            //$table->foreign('NoteComplaintID')->references('ComID')->on('OP_Complaints');
            $table->integer('NoteUserID')->unsigned()->nullable();
            //$table->foreign('NoteUserID')->references('UserID')->on('OP_Users');
            $table->dateTime('NoteTimestamp')->nullable();
            $table->longText('NoteContent')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Civilians', function(Blueprint $table)
        {
            $table->increments('CivID');
            $table->integer('CivComplaintID')->nullable(); // unsigned()->
            $table->index('CivComplaintID');
            //$table->foreign('CivComplaintID')->references('ComID')->on('OP_Complaints');
            $table->integer('CivUserID')->unsigned()->nullable();
            //$table->foreign('CivUserID')->references('UserID')->on('OP_Users');
            $table->char('CivIsCreator', 1)->default('N')->nullable();
            $table->string('CivRole', 10)->nullable();
            $table->integer('CivPersonID')->unsigned()->nullable();
            //$table->foreign('CivPersonID')->references('PrsnID')->on('OP_PersonContact');
            $table->integer('CivPhysDescID')->unsigned()->nullable();
            //$table->foreign('CivPhysDescID')->references('PhysID')->on('OP_PhysicalDesc');
            $table->char('CivGiveName', 1)->nullable();
            $table->char('CivGiveContactInfo', 1)->nullable();
            $table->char('CivGivePhysDesc', 1)->nullable();
            $table->char('CivHadVehicle', 1)->nullable();
            $table->char('CivInPreviousVehicle', 1)->nullable();
            $table->char('CivResident', 1)->nullable();
            $table->char('CivCameraRecord', 1)->nullable();
            $table->string('CivOccupation')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Officers', function(Blueprint $table)
        {
            $table->increments('OffID');
            $table->boolean('OffIsVerified')->nullable();
            $table->index('OffIsVerified');
            $table->integer('OffComplaintID')->unsigned()->nullable();
            $table->index('OffComplaintID');
            //$table->foreign('OffComplaintID')->references('ComID')->on('OP_Complaints');
            $table->string('OffRole')->nullable();
            $table->integer('OffDeptID')->unsigned()->nullable();
            $table->index('OffDeptID');
            //$table->foreign('OffDeptID')->references('DeptID')->on('OP_Departments');
            $table->integer('OffPersonID')->unsigned()->nullable();
            //$table->foreign('OffPersonID')->references('PrsnID')->on('OP_PersonContact');
            $table->integer('OffPhysDescID')->unsigned()->nullable();
            //$table->foreign('OffPhysDescID')->references('PhysID')->on('OP_PhysicalDesc');
            $table->char('OffGiveName', 1)->nullable();
            $table->char('OffGivePhysDesc', 1)->nullable();
            $table->char('OffHadVehicle', 1)->nullable();
            $table->char('OffInPreviousVehicle', 1)->nullable();
            $table->string('OffPrecinct')->nullable();
            $table->integer('OffBadgeNumber')->nullable();
            $table->integer('OffIDnumber')->nullable();
            $table->string('OffOfficerRank')->nullable();
            $table->char('OffDashCam', 1)->nullable();
            $table->char('OffBodyCam', 1)->nullable();
            $table->string('OffDutyStatus', 10)->nullable();
            $table->char('OffUniform', 1)->nullable();
            $table->longText('OffAdditionalDetails')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_PersonContact', function(Blueprint $table)
        {
            $table->increments('PrsnID');
            $table->string('PrsnNamePrefix', 20)->nullable();
            $table->string('PrsnNameFirst')->nullable();
            $table->string('PrsnNickname')->nullable();
            $table->string('PrsnNameMiddle')->nullable();
            $table->string('PrsnNameLast')->nullable();
            $table->string('PrsnNameSuffix', 20)->nullable();
            $table->string('PrsnEmail')->nullable();
            $table->string('PrsnPhoneHome', 20)->nullable();
            $table->string('PrsnPhoneWork', 20)->nullable();
            $table->string('PrsnPhoneMobile', 20)->nullable();
            $table->string('PrsnAddress')->nullable();
            $table->string('PrsnAddress2')->nullable();
            $table->string('PrsnAddressCity')->nullable();
            $table->string('PrsnAddressState', 2)->nullable();
            $table->string('PrsnAddressZip', 10)->nullable();
            $table->date('PrsnBirthday')->nullable();
            $table->string('PrsnFacebook')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_PhysicalDesc', function(Blueprint $table)
        {
            $table->increments('PhysID');
            $table->char('PhysGender', 1)->nullable();
            $table->string('PhysGenderOther')->nullable();
            $table->integer('PhysAge')->unsigned()->nullable();
            $table->integer('PhysHeight')->nullable();
            $table->integer('PhysBodyType')->unsigned()->nullable();
            $table->string('PhysHairDescription')->nullable();
            $table->string('PhysHairFacialDesc')->nullable();
            $table->string('PhysEyes')->nullable();
            $table->string('PhysDistinguishingMarksDesc')->nullable();
            $table->string('PhysVoiceDesc')->nullable();
            $table->string('PhysClothesDesc')->nullable();
            $table->string('PhysDisabilitiesDesc')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_PhysicalDescRace', function(Blueprint $table)
        {
            $table->increments('PhysRaceID');
            $table->integer('PhysRacePhysDescID')->unsigned()->nullable();
            //$table->foreign('PhysRacePhysDescID')->references('PhysID')->on('OP_PhysicalDesc');
            $table->integer('PhysRaceRace')->unsigned()->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Vehicles', function(Blueprint $table)
        {
            $table->increments('VehicID');
            $table->integer('VehicTransportation')->unsigned()->nullable();
            $table->char('VehicUnmarked', 1)->nullable();
            $table->string('VehicVehicleMake')->nullable();
            $table->string('VehicVehicleModel')->nullable();
            $table->string('VehicVehicleDesc')->nullable();
            $table->string('VehicVehicleLicence')->nullable();
            $table->string('VehicVehicleNumber', 20)->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Departments', function(Blueprint $table)
        {
            $table->increments('DeptID');
            $table->string('DeptName')->nullable();
            $table->string('DeptSlug', 100)->nullable();
            $table->integer('DeptType')->unsigned()->nullable();
            $table->boolean('DeptStatus')->nullable();
            $table->dateTime('DeptVerified')->nullable();
            $table->string('DeptEmail')->nullable();
            $table->string('DeptPhoneWork', 20)->nullable();
            $table->string('DeptAddress')->nullable();
            $table->string('DeptAddress2')->nullable();
            $table->string('DeptAddressCity')->nullable();
            $table->string('DeptAddressState', 2)->nullable();
            $table->string('DeptAddressZip', 10)->nullable();
            $table->string('DeptAddressCounty', 100)->nullable();
            $table->string('DeptScoreOpenness', 11)->nullable();
            $table->integer('DeptTotOfficers')->nullable();
            $table->integer('DeptJurisdictionPopulation')->nullable();
            $table->longText('DeptJurisdictionGPS')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Oversight', function(Blueprint $table)
        {
            $table->increments('OverID');
            $table->integer('OverType')->unsigned()->nullable();
            $table->integer('OverCivModel')->unsigned()->nullable();
            $table->integer('OverUserID')->unsigned()->nullable();
            //$table->foreign('OverUserID')->references('UserID')->on('OP_Users');
            $table->integer('OverDeptID')->unsigned()->nullable();
            $table->index('OverDeptID');
            //$table->foreign('OverDeptID')->references('DeptID')->on('OP_Departments');
            $table->string('OverAgncName')->nullable();
            $table->dateTime('OverVerified')->nullable();
            $table->string('OverNamePrefix', 20)->nullable();
            $table->string('OverNameFirst')->nullable();
            $table->string('OverNickname')->nullable();
            $table->string('OverNameMiddle', 100)->nullable();
            $table->string('OverNameLast')->nullable();
            $table->string('OverNameSuffix', 20)->nullable();
            $table->string('OverTitle')->nullable();
            $table->string('OverIDnumber', 50)->nullable();
            $table->string('OverWebsite')->nullable();
            $table->string('OverFacebook')->nullable();
            $table->string('OverTwitter')->nullable();
            $table->string('OverYouTube')->nullable();
            $table->char('OverHomepageComplaintLink', 1)->nullable();
            $table->string('OverWebComplaintInfo')->nullable();
            $table->string('OverComplaintPDF')->nullable();
            $table->string('OverComplaintWebForm')->nullable();
            $table->string('OverEmail')->nullable();
            $table->string('OverPhoneWork', 20)->nullable();
            $table->string('OverAddress')->nullable();
            $table->string('OverAddress2')->nullable();
            $table->string('OverAddressCity')->nullable();
            $table->string('OverAddressState', 2)->nullable();
            $table->string('OverAddressZip', 10)->nullable();
            $table->integer('OverSubmitDeadline')->nullable();
            $table->boolean('OverOfficialFormNotReq')->nullable();
            $table->boolean('OverOfficialAnon')->nullable();
            $table->boolean('OverWaySubOnline')->nullable();
            $table->boolean('OverWaySubEmail')->nullable();
            $table->boolean('OverWaySubVerbalPhone')->nullable();
            $table->boolean('OverWaySubPaperMail')->nullable();
            $table->boolean('OverWaySubPaperInPerson')->nullable();
            $table->boolean('OverWaySubNotary')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Partners', function(Blueprint $table)
        {
            $table->increments('PartID');
            $table->integer('PartType')->unsigned()->nullable();
            $table->integer('PartUserID')->unsigned()->nullable();
            //$table->foreign('PartUserID')->references('UserID')->on('OP_Users');
            $table->integer('PartPersonID')->unsigned()->nullable();
            //$table->foreign('PartPersonID')->references('PrsnID')->on('OP_PersonContact');
            $table->string('PartTitle')->nullable();
            $table->string('PartCompanyName')->nullable();
            $table->string('PartCompanyWebsite')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_Administrators', function(Blueprint $table)
        {
            $table->increments('AdmID');
            $table->integer('AdmUserID')->unsigned()->nullable();
            //$table->foreign('AdmUserID')->references('UserID')->on('OP_Users');
            $table->integer('AdmPersonID')->unsigned()->nullable();
            //$table->foreign('AdmPersonID')->references('PrsnID')->on('OP_PersonContact');
            $table->longText('AdmBio')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_LinksComplaintDept', function(Blueprint $table)
        {
            $table->increments('LnkComDeptID');
            $table->integer('LnkComDeptComplaintID')->unsigned()->nullable();
            $table->index('LnkComDeptComplaintID');
            //$table->foreign('LnkComDeptComplaintID')->references('ComID')->on('OP_Complaints');
            $table->integer('LnkComDeptDeptID')->unsigned()->nullable();
            $table->index('LnkComDeptDeptID');
            //$table->foreign('LnkComDeptDeptID')->references('DeptID')->on('OP_Departments');
            $table->timestamps();
        });
        Schema::create('OP_LinksComplaintOversight', function(Blueprint $table)
        {
            $table->increments('LnkComOverID');
            $table->integer('LnkComOverComplaintID')->unsigned()->nullable();
            $table->index('LnkComOverComplaintID');
            //$table->foreign('LnkComOverComplaintID')->references('ComID')->on('OP_Complaints');
            $table->integer('LnkComOverOverID')->unsigned()->nullable();
            $table->index('LnkComOverOverID');
            //$table->foreign('LnkComOverOverID')->references('OverID')->on('OP_Oversight');
            $table->dateTime('LnkComOverSubmitted')->default(NULL)->nullable();
            $table->dateTime('LnkComOverStillNoResponse')->nullable();
            $table->dateTime('LnkComOverReceived')->default(NULL)->nullable();
            $table->dateTime('LnkComOverInvestigating')->default(NULL)->nullable();
            $table->dateTime('LnkComOverReportDate')->nullable();
            $table->integer('LnkComOverOversightReportEvidenceID')->unsigned()->nullable();
            //$table->foreign('LnkComOverOversightReportEvidenceID')->references('EvidID')->on('OP_Evidence');
            $table->integer('LnkComOverAgencyComplaintNumber')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_LinksOfficerAllegations', function(Blueprint $table)
        {
            $table->increments('LnkOffAlleID');
            $table->integer('LnkOffAlleOffID')->nullable(); // unsigned()->
            //$table->foreign('LnkOffAlleOffID')->references('OffID')->on('OP_Officers');
            $table->integer('LnkOffAlleAlleID')->nullable(); // unsigned()->
            //$table->foreign('LnkOffAlleAlleID')->references('AlleID')->on('OP_Allegations');
            $table->timestamps();
        });
        Schema::create('OP_LinksOfficerEvents', function(Blueprint $table)
        {
            $table->increments('LnkOffEveID');
            $table->integer('LnkOffEveOffID')->unsigned()->nullable();
            //$table->foreign('LnkOffEveOffID')->references('OffID')->on('OP_Officers');
            $table->integer('LnkOffEveEveID')->unsigned()->nullable();
            //$table->foreign('LnkOffEveEveID')->references('EveID')->on('OP_EventSequence');
            $table->timestamps();
        });
        Schema::create('OP_LinksOfficerOrders', function(Blueprint $table)
        {
            $table->increments('LnkOffOrdID');
            $table->integer('LnkOffOrdOffID')->unsigned()->nullable();
            //$table->foreign('LnkOffOrdOffID')->references('OffID')->on('OP_Officers');
            $table->integer('LnkOffOrdOrdID')->unsigned()->nullable();
            //$table->foreign('LnkOffOrdOrdID')->references('OrdID')->on('OP_Orders');
            $table->timestamps();
        });
        Schema::create('OP_LinksOfficerVehicles', function(Blueprint $table)
        {
            $table->increments('LnkOffVehicID');
            $table->integer('LnkOffVehicOffID')->unsigned()->nullable();
            //$table->foreign('LnkOffVehicOffID')->references('OffID')->on('OP_Officers');
            $table->integer('LnkOffVehicVehicID')->unsigned()->nullable();
            //$table->foreign('LnkOffVehicVehicID')->references('VehicID')->on('OP_Vehicles');
            $table->timestamps();
        });
        Schema::create('OP_LinksCivilianAllegations', function(Blueprint $table)
        {
            $table->increments('LnkCivAlleID');
            $table->integer('LnkCivAlleCivID')->unsigned()->nullable();
            //$table->foreign('LnkCivAlleCivID')->references('CivID')->on('OP_Civilians');
            $table->integer('LnkCivAlleAlleID')->unsigned()->nullable();
            //$table->foreign('LnkCivAlleAlleID')->references('AlleID')->on('OP_Allegations');
            $table->timestamps();
        });
        Schema::create('OP_LinksCivilianEvents', function(Blueprint $table)
        {
            $table->increments('LnkCivEveID');
            $table->integer('LnkCivEveCivID')->unsigned()->nullable();
            //$table->foreign('LnkCivEveCivID')->references('CivID')->on('OP_Civilians');
            $table->integer('LnkCivEveEveID')->unsigned()->nullable();
            //$table->foreign('LnkCivEveEveID')->references('EveID')->on('OP_EventSequence');
            $table->timestamps();
        });
        Schema::create('OP_LinksCivilianOrders', function(Blueprint $table)
        {
            $table->increments('LnkCivOrdID');
            $table->integer('LnkCivOrdCivID')->unsigned()->nullable();
            //$table->foreign('LnkCivOrdCivID')->references('CivID')->on('OP_Civilians');
            $table->integer('LnkCivOrdOrdID')->unsigned()->nullable();
            //$table->foreign('LnkCivOrdOrdID')->references('OrdID')->on('OP_Orders');
            $table->timestamps();
        });
        Schema::create('OP_LinksCivilianVehicles', function(Blueprint $table)
        {
            $table->increments('LnkCivVehicID');
            $table->integer('LnkCivVehicCivID')->unsigned()->nullable();
            //$table->foreign('LnkCivVehicCivID')->references('CivID')->on('OP_Civilians');
            $table->integer('LnkCivVehicVehicID')->unsigned()->nullable();
            //$table->foreign('LnkCivVehicVehicID')->references('VehicID')->on('OP_Vehicles');
            $table->string('LnkCivVehicRole', 10)->nullable();
            $table->timestamps();
        });
        Schema::create('OP_PrivilegeProfiles', function(Blueprint $table)
        {
            $table->increments('PrivID');
            $table->integer('PrivUserID')->unsigned()->nullable();
            //$table->foreign('PrivUserID')->references('UserID')->on('OP_Users');
            $table->integer('PrivComplaintID')->unsigned()->nullable();
            $table->index('PrivComplaintID');
            //$table->foreign('PrivComplaintID')->references('ComID')->on('OP_Complaints');
            $table->integer('PrivDeptID')->unsigned()->nullable();
            $table->index('PrivDeptID');
            //$table->foreign('PrivDeptID')->references('DeptID')->on('OP_Departments');
            $table->string('PrivAccessLevel')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_AdminActions', function(Blueprint $table)
        {
            $table->increments('AdmActID');
            $table->integer('AdmActUserID')->unsigned()->nullable();
            //$table->foreign('AdmActUserID')->references('UserID')->on('OP_Users');
            $table->dateTime('AdmActTimestamp')->nullable();
            $table->string('AdmActTable')->nullable();
            $table->integer('AdmActRecordID')->nullable();
            $table->longText('AdmActOldData')->nullable();
            $table->longText('AdmActNewData')->nullable();
            $table->timestamps();
        });
        
        
        Schema::create('OP_zComplaintEmailed', function(Blueprint $table)
        {
            $table->increments('ComEmailedID');
            $table->integer('ComEmailedComplaintID')->unsigned()->nullable();
            //$table->foreign('ComEmailedComplaintID')->references('UserID')->on('OP_Users');
            $table->integer('ComEmailedEmailID')->nullable();
            $table->dateTime('ComEmailedDate')->nullable();
            $table->string('ComEmailedTo')->nullable();
            $table->integer('ComEmailedFromUser')->nullable();
            $table->longText('ComEmailedCustomSpots')->nullable();
            $table->integer('ComEmailedOpts')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_zComplaintEmails', function(Blueprint $table)
        {
            $table->increments('ComEmailID');
            $table->string('ComEmailType')->nullable();
            $table->longText('ComEmailCustomSpots')->nullable();
            $table->string('ComEmailName')->nullable();
            $table->longText('ComEmailSubject')->nullable();
            $table->longText('ComEmailBody')->nullable();
            $table->integer('ComEmailOpts')->default('1')->nullable();
            $table->integer('ComEmailTotSent')->default('0')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_zComplaintReviews', function(Blueprint $table)
        {
            $table->increments('ComRevID');
            $table->integer('ComRevComplaint')->nullable();
            $table->integer('ComRevUser')->nullable();
            $table->dateTime('ComRevDate')->nullable();
            $table->string('ComRevType', 10)->nullable();
            $table->string('ComRevStatus', 50)->nullable();
            $table->integer('ComRevNotAnon')->nullable();
            $table->integer('ComRevOneIncident')->nullable();
            $table->integer('ComRevCivilianContact')->nullable();
            $table->integer('ComRevOneOfficer')->nullable();
            $table->integer('ComRevOneAllegation')->nullable();
            $table->integer('ComRevEvidenceUpload')->nullable();
            $table->integer('ComRevEnglishSkill')->nullable();
            $table->integer('ComRevReadability')->nullable();
            $table->integer('ComRevConsistency')->nullable();
            $table->integer('ComRevRealistic')->nullable();
            $table->integer('ComRevOutrage')->nullable();
            $table->integer('ComRevMakeFeatured')->nullable();
            $table->integer('ComRevExplicitLang')->nullable();
            $table->integer('ComRevGraphicContent')->nullable();
            $table->integer('ComRevComplaintType')->nullable();
            $table->string('ComRevNextAction')->nullable();
            $table->longText('ComRevNote')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_zVolunEditsDepts', function(Blueprint $table)
        {
            $table->increments('EditDeptID');
            $table->integer('EditDeptUser')->nullable();
            $table->integer('EditDeptPageTime')->nullable();
            $table->integer('EditDeptDeptID')->unsigned()->nullable();
            $table->string('EditDeptName')->nullable();
            $table->string('EditDeptSlug', 100)->nullable();
            $table->integer('EditDeptType')->unsigned()->nullable();
            $table->boolean('EditDeptStatus')->nullable();
            $table->dateTime('EditDeptVerified')->nullable();
            $table->string('EditDeptEmail')->nullable();
            $table->string('EditDeptPhoneWork', 20)->nullable();
            $table->string('EditDeptAddress')->nullable();
            $table->string('EditDeptAddress2')->nullable();
            $table->string('EditDeptAddressCity')->nullable();
            $table->string('EditDeptAddressState', 2)->nullable();
            $table->string('EditDeptAddressZip', 10)->nullable();
            $table->string('EditDeptAddressCounty', 100)->nullable();
            $table->string('EditDeptScoreOpenness', 11)->nullable();
            $table->integer('EditDeptTotOfficers')->nullable();
            $table->integer('EditDeptJurisdictionPopulation')->nullable();
            $table->longText('EditDeptJurisdictionGPS')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_zVolunEditsOvers', function(Blueprint $table)
        {
            $table->increments('EditOverID');
            $table->integer('EditOverUser')->unsigned()->nullable();
            $table->integer('EditOverEditDeptID')->unsigned()->nullable();
            $table->tinyInteger('EditOverOnlineResearch')->nullable();
            $table->tinyInteger('EditOverMadeDeptCall')->nullable();
            $table->tinyInteger('EditOverMadeIACall')->nullable();
            $table->longText('EditOverNotes')->nullable();
            $table->integer('EditOverOverID')->unsigned()->nullable();
            $table->integer('EditOverType')->unsigned()->nullable();
            $table->integer('EditOverCivModel')->unsigned()->nullable();
            $table->integer('EditOverUserID')->unsigned()->nullable();
            //$table->foreign('EditOverUserID')->references('UserID')->on('OP_Users');
            $table->integer('EditOverDeptID')->unsigned()->nullable();
            $table->index('EditOverDeptID');
            //$table->foreign('EditOverDeptID')->references('DeptID')->on('OP_Departments');
            $table->string('EditOverAgncName')->nullable();
            $table->dateTime('EditOverVerified')->nullable();
            $table->string('EditOverNamePrefix', 20)->nullable();
            $table->string('EditOverNameFirst')->nullable();
            $table->string('EditOverNickname')->nullable();
            $table->string('EditOverNameMiddle', 100)->nullable();
            $table->string('EditOverNameLast')->nullable();
            $table->string('EditOverNameSuffix', 20)->nullable();
            $table->string('EditOverTitle')->nullable();
            $table->string('EditOverIDnumber', 50)->nullable();
            $table->string('EditOverWebsite')->nullable();
            $table->string('EditOverFacebook')->nullable();
            $table->string('EditOverTwitter')->nullable();
            $table->string('EditOverYouTube')->nullable();
            $table->char('EditOverHomepageComplaintLink', 1)->nullable();
            $table->string('EditOverWebComplaintInfo')->nullable();
            $table->string('EditOverComplaintPDF')->nullable();
            $table->string('EditOverComplaintWebForm')->nullable();
            $table->string('EditOverEmail')->nullable();
            $table->string('EditOverPhoneWork', 20)->nullable();
            $table->string('EditOverAddress')->nullable();
            $table->string('EditOverAddress2')->nullable();
            $table->string('EditOverAddressCity')->nullable();
            $table->string('EditOverAddressState', 2)->nullable();
            $table->string('EditOverAddressZip', 10)->nullable();
            $table->integer('EditOverSubmitDeadline')->nullable();
            $table->boolean('EditOverOfficialFormNotReq')->nullable();
            $table->boolean('EditOverOfficialAnon')->nullable();
            $table->boolean('EditOverWaySubOnline')->nullable();
            $table->boolean('EditOverWaySubEmail')->nullable();
            $table->boolean('EditOverWaySubVerbalPhone')->nullable();
            $table->boolean('EditOverWaySubPaperMail')->nullable();
            $table->boolean('EditOverWaySubPaperInPerson')->nullable();
            $table->boolean('EditOverWaySubNotary')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_zVolunStatDays', function(Blueprint $table)
        {
            $table->increments('VolunStatID');
            $table->dateTime('VolunStatDate')->nullable();
            $table->integer('VolunStatSignups')->nullable();
            $table->integer('VolunStatLogins')->nullable();
            $table->integer('VolunStatUsersUnique')->nullable();
            $table->integer('VolunStatDeptsUnique')->nullable();
            $table->integer('VolunStatOnlineResearch')->nullable();
            $table->integer('VolunStatCallsDept')->nullable();
            $table->integer('VolunStatCallsIA')->nullable();
            $table->integer('VolunStatCallsTot')->nullable();
            $table->integer('VolunStatTotalEdits')->nullable();
            $table->integer('VolunStatOnlineResearchV')->nullable();
            $table->integer('VolunStatCallsDeptV')->nullable();
            $table->integer('VolunStatCallsIAV')->nullable();
            $table->integer('VolunStatCallsTotV')->nullable();
            $table->integer('VolunStatTotalEditsV')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_zVolunTmp', function(Blueprint $table)
        {
            $table->increments('TmpID');
            $table->integer('TmpUser')->nullable();
            $table->string('TmpType')->nullable();
            $table->integer('TmpVal')->nullable();
            $table->dateTime('TmpDate')->nullable();
            $table->timestamps();
        });
        Schema::create('OP_zVolunUserInfo', function(Blueprint $table)
        {
            $table->increments('UserInfoID');
            $table->integer('UserInfoUserID')->nullable();
            $table->integer('UserInfoPersonContactID')->nullable();
            $table->integer('UserInfoStars')->nullable();
            $table->integer('UserInfoStars1')->nullable();
            $table->integer('UserInfoStars2')->nullable();
            $table->integer('UserInfoStars3')->nullable();
            $table->integer('UserInfoDepts')->nullable();
            $table->integer('UserInfoAvgTimeDept')->nullable();
            $table->timestamps();
        });
    
    }

    /**
     * Reverse the migrations.
     *
     * @return  void
     */
    public function down()
    {
        Schema::drop('OP_Complaints');
        Schema::drop('OP_Incidents');
        Schema::drop('OP_Scenes');
        Schema::drop('OP_AllegSilver');
        Schema::drop('OP_Allegations');
        Schema::drop('OP_EventSequence');
        Schema::drop('OP_Stops');
        Schema::drop('OP_StopReasons');
        Schema::drop('OP_Searches');
        Schema::drop('OP_SearchContra');
        Schema::drop('OP_SearchSeize');
        Schema::drop('OP_Arrests');
        Schema::drop('OP_Force');
        Schema::drop('OP_ForceSubType');
        Schema::drop('OP_ForceCivBody');
        Schema::drop('OP_BodyParts');
        Schema::drop('OP_Orders');
        Schema::drop('OP_Charges');
        Schema::drop('OP_Injuries');
        Schema::drop('OP_InjuryCare');
        Schema::drop('OP_Evidence');
        Schema::drop('OP_EvidenceTime');
        Schema::drop('OP_Surveys');
        Schema::drop('OP_ComplaintNotes');
        Schema::drop('OP_Civilians');
        Schema::drop('OP_Officers');
        Schema::drop('OP_PersonContact');
        Schema::drop('OP_PhysicalDesc');
        Schema::drop('OP_PhysicalDescRace');
        Schema::drop('OP_Vehicles');
        Schema::drop('OP_Departments');
        Schema::drop('OP_Oversight');
        Schema::drop('OP_Partners');
        Schema::drop('OP_Administrators');
        Schema::drop('OP_LinksComplaintDept');
        Schema::drop('OP_LinksComplaintOversight');
        Schema::drop('OP_LinksOfficerAllegations');
        Schema::drop('OP_LinksOfficerEvents');
        Schema::drop('OP_LinksOfficerOrders');
        Schema::drop('OP_LinksOfficerVehicles');
        Schema::drop('OP_LinksCivilianAllegations');
        Schema::drop('OP_LinksCivilianEvents');
        Schema::drop('OP_LinksCivilianOrders');
        Schema::drop('OP_LinksCivilianVehicles');
        Schema::drop('OP_PrivilegeProfiles');
        Schema::drop('OP_AdminActions');
    
    }
}
